; "CompFenetre"      Programme comparateur de tension  2 seuils         JC
;PORTE (PE0) pour la capture et PORTB pour l'affichage    (carte HC11ES)
;VDAC=VPE0. CNA\CAN : Quantum q=10mV, Pleine Echelle PE=2.55V

;Equivalences
			include	RegPorts	;Registres des Ports 
VseuilH		equ	150			;Valeur du seuil Haut(150x10mv=1.5V)
VseuilB		equ	50			;Valeur du seuil Bas (50x10mv=0.5V)
AffBas		equ	%11100000		;Valeur d'affichage VPE0<VseuilB 
AffFenetre	equ	%00011000		;Valeur d'aff. VseuilB<VPE0<VseuilH
AffHaut		equ	%00000111		;Valeur d'afffichage VPE0>VseuilH

;Initialisations
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;Pile en RAM
			bset	OPTION,x ADPU	;Activation pompe de charge du CAN

;Programme principal	
Boucle		bsr	CanPE0	;Conversion A/N
			ldaa	ADR1		;Lecture de la donne numrique de VPE0
			cmpa	#VseuilB	;Si VPE0<VseuilB ; alors PORTB=AffBas
			blo	SeuilBas	
			cmpa	#VseuilH	;Si VPE0>VseuilH ; alors PORTB=AffHaut
			bhi	SeuilHaut
			bra	Fenetre	;Sinon c'est que VseuilB<VPE0<VseuilH 
						;PORTB=AffFenetre
SeuilBas		ldaa	#AffBas	;Affichage 11100000 sur PORTB	
			staa	PORTB
			bra 	Boucle	;Rebouclage
			
SeuilHaut		ldaa	#AffHaut	;Affichage 00011000 sur PORTB	
			staa	PORTB
			bra 	Boucle	;Rebouclage
			
Fenetre		ldaa	#AffFenetre	;Affichage 00000111 sur PORTB	
			staa	PORTB
			bra Boucle		;Rebouclage
			
;Appel du fichier sous programme
			include	CanPE0	;Conversion A/N sur PE0
			
			end				;Fin du programme
